//
// Created by bspeice on 12/28/24.
//
#include "lib.h"

#include "slang-compiler-sys/src/lib.rs.h"

namespace slang_compiler {

GlobalSession::GlobalSession() {
  slang::createGlobalSession(global_session_.writeRef());
}

std::unique_ptr<GlobalSession> create_global_session() {
  return std::make_unique<GlobalSession>();
}

} // namespace slang_compiler
